Skip to content

Get an alert channel

GET
/api/v1/alerts/{uuid}
curl --request GET \
--url https://app.hostrepute.com/api/v1/alerts/01a178db-d7b6-7131-a50c-cb60224dd1cd \
--header 'Authorization: Bearer <token>'

Get one of your team’s alert channels with the delivery hours it follows.

Needs the alert:read ability.

uuid
required
string

The UUID of the alert channel.

Example

01a178db-d7b6-7131-a50c-cb60224dd1cd
Media typeapplication/json
object
data
object
uuid
string
type
string
frequency
string
is_active
boolean
last_sent_at
string
alert_groups
Array<object>
object
uuid
string
name
string
slug
string
timezone
string
schedule
object
mon
object
enabled
boolean
start
string
end
string
tue
object
enabled
boolean
start
string
end
string
wed
object
enabled
boolean
start
string
end
string
thu
object
enabled
boolean
start
string
end
string
fri
object
enabled
boolean
start
string
end
string
sat
object
enabled
boolean
start
string
end
string
sun
object
enabled
boolean
start
string
end
string
is_default
boolean
created_at
string
updated_at
string
created_at
string
updated_at
string

Example

{
"data": {
"uuid": "01a178db-d7b6-7131-a50c-cb60224dd1cd",
"type": "email",
"frequency": "once_on_listed_delisted",
"is_active": true,
"last_sent_at": "2026-10-25T21:31:02.000000Z",
"alert_groups": [
{
"uuid": "01a178db-d7b4-730d-82fa-5fb952d888e4",
"name": "Business hours",
"slug": "business-hours",
"timezone": "America/New_York",
"schedule": {
"mon": {
"enabled": true,
"start": "08:00",
"end": "18:00"
},
"tue": {
"enabled": true,
"start": "08:00",
"end": "18:00"
},
"wed": {
"enabled": true,
"start": "08:00",
"end": "18:00"
},
"thu": {
"enabled": true,
"start": "08:00",
"end": "18:00"
},
"fri": {
"enabled": true,
"start": "08:00",
"end": "18:00"
},
"sat": {
"enabled": false,
"start": "08:00",
"end": "18:00"
},
"sun": {
"enabled": false,
"start": "08:00",
"end": "18:00"
}
},
"is_default": false,
"created_at": "2026-07-15T13:02:19.000000Z",
"updated_at": "2026-07-15T13:02:19.000000Z"
}
],
"created_at": "2026-07-15T13:04:51.000000Z",
"updated_at": "2026-07-15T13:04:51.000000Z"
}
}

No alert channel with this UUID in your team

Media typeapplication/json
object
message
string

Example

{
"message": "No query results for model [App\\Models\\Alert] 01a178db-d7b6-7131-a50c-cb60224dd1cd"
}